---
title: Create a new host with connectors
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/host/create-a-new-host-with-connectors/
product: CloudConnexa Docs
---

# Create a new host with connectors

`POST /api/v1/hosts`

**Create a new host with connectors.**

## Body parameter

```json
{
  "name": "string",
  "description": "string",
  "internetAccess": "SPLIT_TUNNEL_ON",
  "domain": "string",
  "connectors": [
    {
      "name": "string",
      "description": "string",
      "vpnRegionId": "string"
    }
  ],
  "gatewaysIds": [
    "string"
  ]
}
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | [HostCreateRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/hostcreaterequest.md) | true | none |
| » name | body | string | false | none |
| » description | body | string | false | none |
| » internetAccess | body | string | false | none |
| » domain | body | string | false | none |
| » connectors | body | \[[HostConnectorRequest](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/hostconnectorrequest.md)\] | false | none |
| »» name | body | string | false | none |
| »» description | body | string | false | none |
| »» vpnRegionId | body | string | false | none |
| » gatewaysIds | body | \[string\] | false | none |

### Enumerated Values

| Parameter | Value |
| --- | --- |
| » internetAccess | SPLIT\_TUNNEL\_ON |
| » internetAccess | SPLIT\_TUNNEL\_OFF |
| » internetAccess | RESTRICTED\_INTERNET |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 201 | [Created](https://tools.ietf.org/html/rfc7231#section-6.3.2) | Created | [HostResponse](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-0/schemas/hostresponse.md) |

To perform this operation, you must be authenticated by means of one of the following methods: oauth

---

Prev: [Get page of existing hosts](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/host/get-page-of-existing-hosts.md)
Next: [Get page of existing host IP services](https://openvpn.net/cloud-docs/developer/cloudconnexa-api-v1-2-0/host/get-page-of-existing-host-ip-services.md)
Index: https://openvpn.net/cloud-docs/llms.txt
